---
stages:
  - lint
  - build
  - test
  - generate_release
  - release

include:
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-commitchecker.yml
    ref: master
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-lintdocs.yml
    ref: master
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-generate-release.yml
    ref: master


.scenario_template: &scenario_template
  image: registry.gitlab.com/dreamer-labs/repoman/dl-molecule-stable/image:latest
  variables:
    DEVEL_SLUG: "devel"
    DOCKER_TLS_CERTDIR: ""
    DOCKER_HOST: "tcp://docker:2375"
  services:
    - docker:dind
  except:
    variables:
      - $CI_COMMIT_MESSAGE =~ /^chore\(release\)/
  only:
    - merge_requests
    - master

test_lint:
    <<: *scenario_template
    stage: test
    script:
    - molecule lint
...
